/*  
Site Name: Auckland City Council i-map implementation
Site URI: www.aucklandcity.govt.nz
Description: styles to support the i-map enhancement layer
Version: 1.0
Author: Murray Roke, Adam Wright, Hamish Rouse
Author URI: www.terabyte.co.nz
*/

/* *01: Default Styling -------------------------------------------------------------------------------------------------------------*/
/*    : default styling for markup - what will display if the user IS NOT viewing the enhanced version */

.i-map-loading {
	height:16px;
	padding:0 0 0 20px;
	font-size:11px;
	font-family:Arial,Helvetica,sans-serif;
	color:#62B8E7;
	background:url(/images/markers/loading.gif) top left no-repeat;
}

.i-map {display:none} /* this gets turned on by the noscript css */
.geo, .geo-line, .geo-area { display: none }

/* *02: Util Classes ----------------------------------------------------------------------------------------------------------------*/
.self-clear 			{ zoom: 1; }
.self-clear:after 		{ content: "."; display: block; height: 0; clear: both; visibility: hidden; }
.i-map-error			{ background: #FF0000; color: #FFF; }
.hidden					{ display: none; }
code, xmp				{ font-family: Courier, serif; color: #4f88c7; font-size: 1em; margin-top: 20px; }

body div ul li .i-map {
	font-size: 5pt !important;
	/*font-size: x-large;*/
}

.i-map-progress { position: absolute; right:10px; top:10px; padding: 3px; background: #fff; z-index: 99; }

.i-map-progress span { line-height: 16px; vertical-align: middle; margin-left: 3px; }
.i-map-progress img { vertical-align: middle; }

/* JUST FOR DEVELPOMENT - delete this line for handover */
.tb-wrapper { margin-left: 27px; }

/* *01: Single Point Map ------------------------------------------------------------------------------------------------------------*/

.g-map-container {
	background: #FF0000;
	width: 400px;
	height: 300px;
}

.single-point-i-map {
	background: url(/Images/single-imap-bg.gif) no-repeat;
	padding: 10px;
	width: 630px;
	position: relative;
}
	html>body .single-point-i-map { width: 610px; }

/* Full Width Version */

.directions-form-container {
	width: 200px;
	/*float: left;*/
	margin: 0 10px 0 0;
	padding: 10px 0 10px 10px;
	height: 300px;
	overflow: auto;
}
	html>body .directions-form-container { width: 190px; height: 280px; }
	
.directions-form-container h2 {
	color: #62b8e7;
	font-size: 20px;
	margin: 5px 10px 10px 0;
	padding-bottom: 5px;
	font-family: Helvetica, Arial;
	border-bottom: 1px dotted #62b8e7;
}

.directions-form-container h3 {
	margin-bottom: 5px;
	font-size: 14px;
}

.directions-form-container input, .directions-form-container select {
	border: 1px solid #ccc;
	margin: 2px 0 5px 0;
	display: block;
	font-size: 11px;
	padding: 2px;
	color: #666;
	width: 160px;
}
	/*html>body .directions-form-container input, html>body .directions-form-container select { width: 100%; }*/

.directions-form-container label {
	display: block;
	font-size: 10px;
}

.directions-form-container .button {
	width: 64px;
	height: 30px;
	background: url(/Images/bttn-bg.gif) no-repeat top left;
	margin: 10px 10px 5px 0;
	cursor: pointer;
	border: none;
	font-size: 14px;
	color: #FFF;
	font-weight: bold;
	font-family: Arial;
}
	.directions-form-container .button:hover { background-position: bottom left; }
	
.directions-output {
	padding: 0 !important;
	border-top: 1px dotted #62b8e7;
	margin: 10px 10px 0 0;
}

.directions-output * {
	font-size: 11px !important;
}

.single-point-i-map .g-map-container {
	/*float: left;*/
	position: absolute;
	top: 10px;
	left: 220px;
}
.narrow-i-map .g-map-container {
	position: absolute;
	top: 245px;
	left: 10px;
}

/* Narrow Width Version */

.narrow-i-map {
	background: url(/Images/narrow-imap-bg.gif) no-repeat;
	width: 350px;
	height:567px;
}
	html>body .narrow-i-map { width: 330px;}

.narrow-i-map .g-map-container {
	margin-top:10px;
	width:330px;
	height:302px;
	float:none;
}

.narrow-i-map .directions-form-container {
	width: 330px;
	float: none;
	margin: 0 0 0 0;
	padding: 10px 0 10px 10px;
	height: 235px;
	overflow: auto;
}
	html>body .narrow-i-map .directions-form-container { width: 320px; height: 215px; }
	
.narrow-i-map .directions-form-container label {
	float:left;
}

.narrow-i-map .directions-form-container input,
.narrow-i-map .directions-form-container select {
	width:140px;
	margin-right:10px;
}

.narrow-i-map .directions-form-container .button {
	clear:left;
	width:64px;
}

/* *01: Layered Map -----------------------------------------------------------------------------------------------------------------*/
.layered-i-map {
	background: url(/Images/layered-imap-bg-grey-lite.gif) no-repeat;
	width: 740px; 
	height: 500px;
	/*overflow: hidden;*/
	padding: 10px;
	position: relative;
}

/*	html>body .layered-i-map { width: 740px; height: 500px; position: relative; } */

.layered-i-map .g-map-container {
	width: 570px;
	height: 500px;
	/*float: left;*/
	position: absolute;
	top: 10px;
	left: 180px;
}

/*.g-map-container div {
	zoom: 1;
}*/

.layered-i-map .i-map {
	width: 160px;
	margin: 0 10px 0 0;
	padding: 0 0 0 0;
	float: left;
	height: 500px;
	overflow: auto;
	position: relative;
}

.layered-i-map .i-map h2 {
	color: #62b8e7;
	font-size: 20px;
	margin: 5px 5px 5px 5px;
	padding-bottom: 5px;
	font-family: Helvetica, Arial;
	border-bottom: 1px dotted #62b8e7;
}

.layered-i-map .i-map ul {
	margin: 0;
	padding: 0;
}

.layered-i-map .i-map li {
	list-style: none;
	margin: 0 0 0 0;
	padding: 0;
	font-size: 10px;
}

.i-map .print-num {
	display:none;
}

.info-window img {
	float:right;
}

.info-window img.full-width {
	float:none;
}

.layered-i-map .cat-name {
	/*margin: 0 2px 2px 2px;*/
	margin: 0 5px 5px 5px;
	position:relative;
	zoom: 1;
}

/* layered map UI styles (menus etc) ---------------------------------------- */

/*category level --------------------*/

.layered-i-map .cat-name a {
	display: block;
	background: #62b8e7;
	color: #FFF;
	padding: 5px 15px 5px 5px;
	text-decoration: none;
	min-height:14px;
}
	.layered-i-map .cat-name a.selected { background: #a7d2f0; }
	.layered-i-map .cat-name a.selected { margin-bottom: 5px; }
	.layered-i-map .cat-name a.expand,
	.layered-i-map .cat-name a.collapse {
		width:24px;
		height:24px;
		position:absolute;
		top:0;
		right:0;
		padding:0;
		font-size:.9em;
		text-indent:-10000px;
		background:url(/Images/Buttons/icon-expand-collapse-sprite.gif) top left no-repeat;
		zoom: 1;
	}
	
	.layered-i-map .cat-name a.expand {
		background-position:top left;
	}
	
	.layered-i-map .cat-name.hover a.expand {
		background-position:bottom left;
	}
	
	.layered-i-map .cat-name a.collapse {
		background-position:top right;
	}
	
	.layered-i-map .cat-name a.collapse:hover {
		background-position:bottom right;
	}


/* in-category level ----------------*/

.layered-i-map .i-map ul.i-map-collection {
	background: #FFF;
	margin: -5px 5px 5px 5px;
	padding-top: 5px;
}

/* containing li > h3 > a */
.layered-i-map ul.i-map-collection li {
	padding: 0;
	zoom: 1;
	margin: 0 5px 0 5px;
	padding: 5px 0 0 0;
	border-bottom: 1px dotted #b0dbf3;
}

.i-map-collection .location-name {
	margin: 0;
}
	
.i-map-collection .location-name a {
	display: block;
	padding: 0 0 5px 25px;
	text-decoration: none;
	font-weight: normal;
	color: #62b8e7;
	height: 22px;
}
	.i-map-collection .location-name a:hover { color: #006bb6; }
	.i-map-collection .location-name a.selected { color: #006bb6; font-weight: bold; }

html>body .i-map-collection .location-name a { height: auto; min-height: 15px; }

/* layered map info window styles ------------------------------------------- */

.info-window {
	width:400;
	font-size:10px;
}

html>body .info-window { width:auto;max-width:400;}

.info-window h3 {
	font-size:1.4em;
	margin-bottom:10px;
}

.info-window p,
.info-window a,
.info-window li,
.info-window .adr {
	font-size:1.1em;
}

.info-window p,
.info-window a,
.info-window .adr {
	display:block;
	margin-bottom:10px;
}

.info-window li a,
.info-window p a {
	display:inline;
	margin-bottom:0;
	font-size:1em;
}

.info-window .window-image {
	float: right;
}

.info-window .hidden {
	display: block;
}

.info-window .geo {
	display: none;
}

.info-window ul {
	padding:0;
	margin:0 0 10px;
}

.info-window ul li.hidden {
	display:list-item;
	list-style-type:disc;
	padding:0;
	margin:0 0 0 20px;
}

.info-window ul li a.hidden {
	display:inline;
}
